var reader = new FileReader();
var filename = '';

function OpenFileUpload() {
    $('#DailyThoughtflUpload').click();
}

function DailyThoughtreadURL(input) {
    if (input.files && input.files[0]) {
        reader.readAsDataURL(input.files[0]);
        DailyThoughtajaxFileUpload();
    }
}
function LoadingMessage(msg1, msg2) {
    $('#dvTestLoadingmsg').show();
    $('#spn1msg').html(msg1);
    $('#spn2msg').html(msg2);
    $('.hls-bg').show();
}
function CloseLoadingpopup() {
    $('#dvTestLoadingmsg').hide();
    $('.hls-bg').hide();
}
function DailyThoughtajaxFileUpload() {
    if (ValidateDailyThoughtDetails()) {
        LoadingMessage('Uploading', '<b>Please Wait</b>');
        $("#loading").ajaxStart(function () {
            $(this).show();
        }).ajaxComplete(function () {
            $(this).hide();
        });
        $.ajaxFileUpload({
            url: '/UserControls/MultiFileUpload/common-file-upload.ashx',
            secureuri: false,
            fileElementId: 'DailyThoughtflUpload',
            dataType: 'text',
            contentType: "application/json; charset=utf-8",
            data: { name: 'logan', id: 'id', hdn: '1' },
            success: function (response, status) {
                if (response == "-007") {
                    alert('Cannot upload file as the used space exceeds allocated space')
                    return
                }
                if (response == "-008") {
                    alert('Invalid Extention')
                    return
                }
                if (response == "-009") {
                    alert('Cannot include / or .. in a filename')
                    return;
                }
                window.setTimeout(function () {
                    CloseLoadingpopup();
                    $("#ctl00_CP_DailyThoughtTabContainer_TabPanel2_Label2").text("Uploaded Successfully");
                }, 100);
            },
            error: function (response, status, e) {
                window.setTimeout(function () {
                    CloseLoadingpopup();
                }, 100);
            }
        })
        return false;
    }
}
function isdailythoughtFile(file) {
    var video = /\.(xls|)$/i;
    var CSV = /\.(csv|)$/i;
    var xlsx = /\.(xlsx|)$/i;
    if (video.test(file.toLowerCase()))
        return true;
    else
        return false;
}
function ValidateDailyThoughtDetails() {
    var fields;
    fields = "";
    var file = document.getElementById('DailyThoughtflUpload').value;
    //if (isdailythoughtFile(document.getElementById('DailyThoughtflUpload').value) == false || document.getElementById('DailyThoughtflUpload').value == null) {
    //    fields = fields + "\n-- Invalid file --";
    //}
    if (fields != "") {
        fields = "Please fill in the following details:\n------------------------------------" + fields;
        alert(fields);
        return false;
    }
    else {
        return true;
    }
}